---
updatedAt: 2025-11-11T01:54:04.000Z
agentTools:
  projectIndex: https://docs.velosimo.io/llms.txt
---

# Envelope Documents: list

Retrieves a list of documents associated with the specified envelope.

# OpenAPI definition

````json
{
  "openapi": "3.1.0",
  "info": {
    "title": "docusign",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://demo.docusign.net/restapi/v2.1/accounts/{{account_id}}",
      "variables": {
        "account_id": {
          "default": "account_id"
        }
      }
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/envelopes/{envelopeId}/documents": {
      "get": {
        "summary": "Envelope Documents: list",
        "description": "Retrieves a list of documents associated with the specified envelope.",
        "operationId": "get-envelope-documents",
        "parameters": [
          {
            "name": "accountId",
            "in": "path",
            "description": "The external account number (int) or account ID GUID.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "envelopeId",
            "in": "path",
            "description": "Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "documents_by_userid",
            "in": "query",
            "description": "When set to true, allows recipients to get documents by their user id. For example, if a user is included in two different routing orders with different visibilities, using this parameter returns all of the documents from both routing orders.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "include_metadata",
            "in": "query",
            "description": "When set to true, the response includes metadata that indicates which properties the sender can edit.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "//This example shows how to get a list of all the documents in an envelope.\n//The request for this endpoint has no payload. ### Request ``` GET /restapi/v2.1/accounts/1703061/envelopes/44efc9e6-xxxx-xxxx-xxxx-801410d6922d/documents ```\n\n{\n  \"envelopeDocuments\": [\n    {\n      \"availableDocumentTypes\": [\n        {\n          \"isDefault\": \"true\",\n          \"type\": \"electronic\"\n        }\n      ],\n      \"display\": \"inline\",\n      \"documentId\": \"1\",\n      \"includeInDownload\": \"true\",\n      \"name\": \"NDA.pdf\",\n      \"order\": \"1\",\n      \"pages\": \"3\",\n      \"signerMustAcknowledge\": \"no_interaction\",\n      \"type\": \"content\",\n      \"uri\": \"/envelopes/44efc9e6-xxxx-xxxx-xxxx-801410d6922d/documents/1\"\n    },\n    {\n      \"availableDocumentTypes\": [\n        {\n          \"isDefault\": \"true\",\n          \"type\": \"electronic\"\n        }\n      ],\n      \"display\": \"inline\",\n      \"documentId\": \"2\",\n      \"includeInDownload\": \"true\",\n      \"name\": \"House.pdf\",\n      \"order\": \"2\",\n      \"pages\": \"1\",\n      \"signerMustAcknowledge\": \"no_interaction\",\n      \"type\": \"content\",\n      \"uri\": \"/envelopes/44efc9e6-xxxx-xxxx-xxxx-801410d6922d/documents/2\"\n    },\n    {\n      \"availableDocumentTypes\": [\n        {\n          \"isDefault\": \"true\",\n          \"type\": \"electronic\"\n        }\n      ],\n      \"display\": \"inline\",\n      \"documentId\": \"3\",\n      \"includeInDownload\": \"true\",\n      \"name\": \"contractor_agreement.docx\",\n      \"order\": \"3\",\n      \"pages\": \"2\",\n      \"signerMustAcknowledge\": \"no_interaction\",\n      \"type\": \"content\",\n      \"uri\": \"/envelopes/44efc9e6-xxxx-xxxx-xxxx-801410d6922d/documents/3\"\n    },\n    {\n      \"availableDocumentTypes\": [\n        {\n          \"isDefault\": \"true\",\n          \"type\": \"electronic\"\n        }\n      ],\n      \"display\": \"inline\",\n      \"documentId\": \"certificate\",\n      \"includeInDownload\": \"true\",\n      \"name\": \"Summary\",\n      \"order\": \"999\",\n      \"pages\": \"4\",\n      \"signerMustAcknowledge\": \"no_interaction\",\n      \"type\": \"summary\",\n      \"uri\": \"/envelopes/44efc9e6-xxxx-xxxx-xxxx-801410d6922d/documents/certificate\"\n    }\n  ],\n  \"envelopeId\": \"44efc9e6-xxxx-xxxx-xxxx-801410d6922d\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "envelopeDocuments": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "availableDocumentTypes": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "isDefault": {
                                  "type": "string",
                                  "example": "true"
                                },
                                "type": {
                                  "type": "string",
                                  "example": "electronic"
                                }
                              }
                            }
                          },
                          "display": {
                            "type": "string",
                            "example": "inline"
                          },
                          "documentId": {
                            "type": "string",
                            "example": "1"
                          },
                          "includeInDownload": {
                            "type": "string",
                            "example": "true"
                          },
                          "name": {
                            "type": "string",
                            "example": "NDA.pdf"
                          },
                          "order": {
                            "type": "string",
                            "example": "1"
                          },
                          "pages": {
                            "type": "string",
                            "example": "3"
                          },
                          "signerMustAcknowledge": {
                            "type": "string",
                            "example": "no_interaction"
                          },
                          "type": {
                            "type": "string",
                            "example": "content"
                          },
                          "uri": {
                            "type": "string",
                            "example": "/envelopes/44efc9e6-xxxx-xxxx-xxxx-801410d6922d/documents/1"
                          }
                        }
                      }
                    },
                    "envelopeId": {
                      "type": "string",
                      "example": "44efc9e6-xxxx-xxxx-xxxx-801410d6922d"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET 'https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents\n       --header 'Authorization: Bearer eyJ...bqg'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "account_id",
        "value": "7d7c2739-0993-49d7-ad76-afb106d15c58"
      },
      {
        "key": "base_uri",
        "value": "https://demo.docusign.net"
      },
      {
        "key": "account",
        "value": "demo"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
````